Package: groovy.org.codenarc.rule.basic

## [Groovy] Class ConstantAssertExpressionRule

- groovy.org.codenarc.rule.basic.ConstantAssertExpressionRule

- Rule that checks for assert statements where the assert condition expressions is a constant value or literal value, such as:

  - `assert true`
  - `assert false`
  - `assert Boolean.TRUE`
  - `assert Boolean.FALSE`
  - `assert null`
  - `assert 0`
  - `assert 99.7`
  - `assert ""`
  - `assert "abc"`
  - `assert [:]`
  - `assert [a:123, b:456]`
  - `assert [a, b, c]`
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority